import * as i0 from "@angular/core";
export declare class PagingComponent {
    #private;
    page: import("@angular/core").InputSignal<number>;
    totalPages: import("@angular/core").InputSignal<number>;
    workingPage: import("@angular/core").WritableSignal<number>;
    pageChange: import("@angular/core").OutputEmitterRef<number>;
    onPageChange(value: number): void;
    incrementPage(amount: number | 'first' | 'last'): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagingComponent, "yuv-pdf-toolbar-paging", never, { "page": { "alias": "page"; "required": false; "isSignal": true; }; "totalPages": { "alias": "totalPages"; "required": false; "isSignal": true; }; }, { "pageChange": "pageChange"; }, never, never, true, never>;
}
